Bug 188124 - nmbd generates high load (cpu usage)
nmbd generates high load (cpu usage)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-06 05:10 EDT by Sorin Sbarnea
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 12:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my smb.conf (3.82 KB, text/plain)
2006-04-06 05:10 EDT, Sorin Sbarnea
no flags Details

  None (edit)
Description Sorin Sbarnea 2006-04-06 05:10:10 EDT
Description of problem:
After upgrade from FC4 to FC5 nmbd generates high load (cpu usage).

Version-Release number of selected component (if applicable):
3.0.22-1

How reproducible:
smb as PDC

Steps to Reproduce:
1.
2.
3.
  
Actual results:
20-30% CPU usage at least on nmbd.

Expected results:
<1% cpu usage

Additional info:
on log level = 3 this is what i get in nmbd.log (repeated recusively ~5-6
times/second)

[2006/04/06 04:59:51, 3]
nmbd/nmbd_winsserver.c:wins_process_name_release_request(1641)
  wins_process_name_release_request: Unique name release for name SORIN<1f> IP
217.156.xx.xxx
[2006/04/06 04:59:51, 3]
nmbd/nmbd_winsserver.c:wins_process_multihomed_name_registration_request(1179)
  wins_process_multihomed_name_registration_request: name registration for name
SORIN<1f> IP 217.156.xx.xxx
[2006/04/06 04:59:51, 3] nmbd/nmbd_namelistdb.c:add_name_to_subnet(246)
  add_name_to_subnet: Added netbios name SORIN<1f> with first IP 217.156.xx.xxx
ttl=300000 nb_flags=60 to subnet WINS_SERVER_SUBNET

If more information is required
Comment 1 Sorin Sbarnea 2006-04-06 05:10:10 EDT
Created attachment 127399 [details]
my smb.conf
Comment 2 Christian Iseli 2007-01-19 19:07:54 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Simo Sorce 2007-03-15 09:38:41 EDT
Do you still have this problem with later releases?
Can you reproduce this at will?
Does it happen only with that client registration (machine named SORIN), or does
it happen for all clients?
Comment 4 Sorin Sbarnea 2007-03-15 09:45:19 EDT
With the latest release I cannot confirm this bug anymore.
Comment 5 Simo Sorce 2007-03-15 12:15:40 EDT
then I close it as fixed with current release, thanks for helping.

Note You need to log in before you can comment on or make changes to this bug.